package org.eclipse.jdt.internal.compiler.tool;

package .tmp;

import java.util.ArrayList;
import javax.tools.FileObject;
import org.eclipse.jdt.internal.compiler.tool.Util;

public class EncodingErrorCollector {
  ArrayList<Util.EncodingError> encodingErrors = new ArrayList<>();
  
  FileObject fileObject;
  
  String encoding;
  
  public EncodingErrorCollector(FileObject fileObject, String encoding) {
    this.fileObject = fileObject;
    this.encoding = encoding;
  }
  
  public void collect(int position, int length) {
    this.encodingErrors.add(new Util.EncodingError(position, length));
  }
  
  public void reportAllEncodingErrors(String string) {
    char[] unitSource = string.toCharArray();
    for (Util.EncodingError error : this.encodingErrors) {
      System.err.println(String.valueOf(this.fileObject.getName()) + " Unmappable character for encoding " + this.encoding);
      System.err.println(error.getSource(unitSource));
    } 
  }
}
